#!/bin/bash
cd /root/.func/update/patch-v107
kill $(ps -ef | grep "updateImage.sh" | awk '{print $2}')

minerOldRegion=$(cat /root/.func/updateImage.sh | grep REGION | head -1 | awk -F= '{print $2}')

file="/root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json"

if [ "$(cat $file | grep 8675)" != "" ]
then
region=EU868
elif [ "$(cat $file | grep 4866)" != "" ]
then
region=CN470
elif [ "$(cat $file | grep 9171)" != "" ]
then
region=AU915
elif [ "$(cat $file | grep 9043)" != "" ]
then
region=US915
fi

echo lora region:$region
echo image region:$minerOldRegion
if [ "$minerOldRegion" != "$region" ]
then
	sed -i "s/$minerOldRegion/$region/g" /root/.func/updateImage.sh
fi
minerOldRegion=$(cat /root/.func/updateImage.sh | grep REGION | head -1 | awk -F= '{print $2}')
echo image new region:$minerOldRegion

minerRegion=$(docker exec miner miner info region)
echo miner region:$minerRegion

if [ "$minerRegion" != "$region" ]
then
 docker stop miner
 docker rm miner
fi

echo "patch-v107.tar.gz" > /root/.func/update/version.txt
rm /root/.func/update/patch-v107.tar.gz
systemctl restart rc.local

minerRegion=$(docker exec miner miner info region)
echo miner new region:$minerRegion

